<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

$id_str=$_GET[id_str];
$id_par=$_REQUEST[id_par];
$id_slika=$_REQUEST[id_slika];


//ucitaj slike za obrisati
$sql = "select ikona,thumb_ime,big_ime from b7_paragraf_slike where id_slika='$id_slika'";
$rez = mysql_query($sql, $conn);
if ($rez) $row99=mysql_fetch_array($rez);
$ikona=	$row99['ikona'];
$thumb_ime=	$row99['thumb_ime'];
$big_ime=	$row99['big_ime'];

//obriši ih
$slike_dir='..';
@unlink($parametar_slike_direktorij . $ikona);
@unlink($parametar_slike_direktorij . $thumb_ime);
@unlink($parametar_slike_direktorij . $big_ime);	
		

$sql="delete from b7_paragraf_slike where id_slika='$id_slika'";
$result=mysql_query($sql,$conn);
						
if (!$result) {
	$error.='Dogodila se greška pri brisanju: '.mysql_error();
} else {
	$uspjeh.='Uspješno obrisana slika u bazi<br />';
	//zapis teksta za tekst i slike
	include ("func/uredi_tekst.php");
	uredi_tekst($id_par,$parametar_domena,$parametar_tekst_direktorij,$conn);
	
	//uredi nove pozicije
	$sql = "select id_slika from b7_paragraf_slike where id_paragraf='$id_par' order by pozicija asc";
	$rez = mysql_query($sql, $conn);
	if ($rez) $num = mysql_num_rows($rez);
    if ($num > 0) {
		$cur=1;
		while ($num>=$cur) {
			$row99=mysql_fetch_array($rez);	
			$id_slika=$row99[0];
			$result = mysql_query("update b7_paragraf_slike set  
					pozicija='$cur'
					where id_slika='$id_slika'");
			$cur++;
		}
	}
	
}				
	
	



if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>